rxTools problem

Discussion in '3DS - Flashcards & Custom Firmwares' started by HariGp, Jan 15, 2016.

  1. HariGp
    OP

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    I get this error message each time I tried to load rxTools 3.0 nightly through HBL:

    [​IMG]

    How do I fix this? Thanks :) (Sorry for huge image size :/)
     
    Last edited by HariGp, Jan 15, 2016
  2. HariGp
    OP

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    Anybody?
     
  3. Svaethier

    Svaethier GBAtemp Maniac

    Member
    1,294
    203
    Dec 2, 2013
    United States
    Sault Ste. Marie, Michigan
    you have to generate a firm.bin file from the cdn_py file by using python, then place that file wherever it goes according to the version of rxtools you use.
     
  4. HariGp
    OP

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    I did, (I got a firmware.bin file), and placed it in /rxTools/firm/firmware.bin But it still doesn't work :/ I can launch it via browser but not with HBL :(
     
  5. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    [O3DS]
    Since you got a firmware.bin file, you probably used a WRONG version of cdn_firm.py unless your rxTools is Oct.02 or earlier.

    Please always use BUNDLED cdn_firm.py to generate your firmware.
    No older versions.
    No newer versions.
    Otherwise you'll fail to load NATIVE_FIRM: 4 FOREVER.

    For details, see readme on the same directory of cdn_firm.py.

    [N3DS]
    Don't bother with cdn_firm.py.
    Google the MD5 of CakesFW firmware for N3DS.
    Rename the CakesFW firmware into 0004013020000002.bin and put it to /rxTools/firm.
     
    Last edited by MelonGx, Jan 16, 2016
  6. HariGp
    OP

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    I tried all that, and it didn't work.(on O3DS BTW) I looked up google and found this link for the latest nightly version: https://www.omicron.pw/ But there's no rxTools.dat file there, can I copy/paste the same rxTools.dat from a previous version and will it still work?

    When I go to https://lavanoid.github.io/ and click download, dropbox always gives me this:
    Error (429)
    This account's links are generating too much traffic and have been temporarily disabled!

    Any other mirror link for this? My internet also cannot open Mega links for some reason either :/
     
    Last edited by HariGp, Jan 17, 2016
  7. HariGp
    OP

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    Please?
     
  8. annoyingcalc

    annoyingcalc GBAtemp Regular

    Member
    164
    30
    Mar 16, 2014
    United States
    rxTools.dat is an old format. code.bin is what needs to get updated if you're using a build past September.
     
  9. HariGp
    OP

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    Thanks, where do I put the code.bin? The root of the SD or someplace else?
     
  10. annoyingcalc

    annoyingcalc GBAtemp Regular

    Member
    164
    30
    Mar 16, 2014
    United States
    Put it in /rxTools/sys
     
  11. HariGp
    OP

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    Okay, thanks a lot :D
     
  12. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    Do not teach him to partially change the file.
    It will cause more errors.

    He must delete
    - the whole rxTools directory
    - rxTools.dat
    - firmware.bin
    and copy
    - the new rxTools directory to 3DS SD root
    - the firmware.bin (generated by BUNDLED cdn_firm.py, for 83afbb6 version) to /rxTools/sys
    - the firm directory (generated by BUNDLED cdn_firm.py, for current versions) to /rxTools
    in order to upgrade rxTools version.
     
  13. HariGp
    OP

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    Thanks, but I figured it would be that and already did it :)